<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/ic_login_back"
    tools:context=".activities.LoginActivity">

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:gravity="center"
            android:orientation="vertical">

            <ImageView
                android:id="@+id/imageView"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_margin="16dp"
                android:src="@drawable/ic_login_logo" />

            <EditText
                android:id="@+id/email"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="16dp"
                android:layout_marginTop="20dp"
                android:layout_marginEnd="16dp"
                android:background="@drawable/ic_edittext_back_shape"
                android:drawableStart="@drawable/ic_email_black_24dp"
                android:drawablePadding="16dp"
                android:hint="@string/email"
                android:inputType="textEmailAddress"
                android:padding="8dp" />

            <EditText
                android:id="@+id/pass"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="16dp"
                android:layout_marginTop="20dp"
                android:layout_marginEnd="16dp"
                android:background="@drawable/ic_edittext_back_shape"
                android:drawableStart="@drawable/ic_lock_black_24dp"
                android:drawablePadding="16dp"
                android:hint="@string/password"
                android:inputType="textPassword"
                android:padding="8dp" />

            <com.rafakob.drawme.DrawMeTextView
                android:id="@+id/textView"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="end"
                android:layout_marginEnd="16dp"
                android:onClick="reset"
                android:padding="8dp"
                android:shadowColor="@color/black_text_color"
                android:text="@string/forgot_pass"
                android:textColor="@color/black_text_color"
                android:textSize="16sp" />

            <com.rafakob.drawme.DrawMeButton xmlns:drawme="http://schemas.android.com/apk/res-auto"
                android:id="@+id/button"
                android:layout_width="150dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="8dp"
                android:layout_marginTop="16dp"
                android:layout_marginEnd="8dp"
                android:onClick="goMain"

                android:text="@string/log_in"
                android:textColor="@color/white"
                android:textSize="18sp"
                drawme:dm_backColor="@color/colorPrimary"
                drawme:dm_backColorDisabled="@color/grey"
                drawme:dm_backColorPressed="@color/colorPrimaryDark"
                drawme:dm_radius="10dp" />

            <com.rafakob.drawme.DrawMeButton xmlns:drawme="http://schemas.android.com/apk/res-auto"
                android:layout_width="200dp"
                android:layout_height="50dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="16dp"
                android:layout_marginEnd="8dp"
                android:onClick="goRegister"
                android:text="@string/new_account"
                android:textColor="@color/white"
                android:textSize="18sp"
                drawme:dm_backColor="@color/grey"
                drawme:dm_backColorDisabled="@color/gray"
                drawme:dm_backColorPressed="@color/colorPrimaryDark"
                drawme:dm_radius="10dp" />


        </LinearLayout>

    </ScrollView>

</RelativeLayout>